# Stores Stores ## Gets all of the stores in the system. - [GET /stores/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/liststores.md): This method will scan all stores and and return them to the caller. ## Creates a new store record that does not already exist. - [POST /stores/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/createstore.md): This method will auto-generate an ID and create a new store. If an ID is specified for the store, an error will be thrown. ## Execute Batch Operations - [POST /stores/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets the public store info - [GET /stores/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/getpublicstoreinfo.md): Gets the public store info ## Returns a store from the system by its ID. - [DELETE /stores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/deletestore.md): This method will delete a store with the specified ID. ## Returns a store from the system by its ID. - [GET /stores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/getstore.md): This method will look up a store by the specified ID and return it back. ## Partially updates a store with the specified ID. - [PATCH /stores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/patchstore.md): This method will patch an existing store with the specified ID, using the HTTP PATCH specification. ## Updates a store with the specified ID. - [PUT /stores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/stores/updatestore.md): This method will update an existing store with the specified ID.